#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "ECrossPromoMediaResourceLinkType.h"
#include "CrossPromoCampaignViewData.generated.h"

USTRUCT(BlueprintType)
struct FCrossPromoCampaignViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	FString CampaignId;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString Title;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString Description;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString ButtonLabel;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString InstructionText;

	UPROPERTY(BlueprintReadWrite, Transient)
	FSoftObjectPath QrCodeImagePath;

	UPROPERTY(BlueprintReadWrite, Transient)
	TArray<FSoftObjectPath> VideosUri;

	UPROPERTY(Transient)
	ECrossPromoMediaResourceLinkType LinkType;

	UPROPERTY(BlueprintReadWrite, Transient)
	FSoftObjectPath KeyArtImagePath;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString LinkURI;

public:
	DBDUIVIEWINTERFACES_API FCrossPromoCampaignViewData();
};

FORCEINLINE uint32 GetTypeHash(const FCrossPromoCampaignViewData) { return 0; }
